package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrUrlConfig;
    import com.docus.server.dto.segmentation.ocrurlconfig.AddOcrUrlConfigDTO;
    import com.docus.server.dto.segmentation.ocrurlconfig.EditOcrUrlConfigDTO;
    import com.docus.server.dto.segmentation.ocrurlconfig.DeleteOcrUrlConfigDTO;
import com.docus.server.vo.segmentation.ocrurlconfig.OcrUrlConfigVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* ocr路径配置表 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrUrlConfigConvert {

    OcrUrlConfigConvert INSTANCE = Mappers.getMapper(OcrUrlConfigConvert.class);

    @Mappings({})
    OcrUrlConfig convertDO(AddOcrUrlConfigDTO addOcrUrlConfigDTO);

    @Mappings({})
    OcrUrlConfig convertDO(EditOcrUrlConfigDTO editOcrUrlConfigDTO);

    @Mappings({})
    List<OcrUrlConfig> convertAddDOList(List<AddOcrUrlConfigDTO> addOcrUrlConfigDTO);

    @Mappings({})
    List<OcrUrlConfig> convertEditDOList(List<EditOcrUrlConfigDTO> editOcrUrlConfigDTO);

    @Mappings({})
    OcrUrlConfigVO convertVO(OcrUrlConfig ocrUrlConfig);

    @Mappings({})
    List<OcrUrlConfigVO> convertVO(List<OcrUrlConfig> ocrUrlConfigList);

    @Mappings({})
    PageResult<OcrUrlConfigVO> convertVO(PageResult<OcrUrlConfig> pageResult);
}

